<?php
/**
 * Wallkit settings page
 *
 * @since      1.1.17
 * @package    Wallkit_Wp
 * @subpackage Wallkit_Wp/includes
 * @author     Wallkit <dev@wallkit.net>
 */
?>
<?php
//Get the active tab from the $_GET param
$default_tab                = 'settings';
$activeTab                  = isset($_GET['tab']) ? $_GET['tab'] : $default_tab;
$wk_custom_integration      = isset($settings) ? $settings->get_option("wk_custom_integration") : false;

$tabs = array(
    'settings' => array(
        'id'    => 'settings',
        'title' => 'Settings'
    )
);

if( !$wk_custom_integration ) {
    $tabs = array_merge( $tabs,
        array(
            'integration-settings' => array(
                'id'    => 'integration-settings',
                'title' => 'Integration Settings'
            ),
            'tools' => array(
                'id'    => 'wallkit-calls',
                'title' => 'Wallkit Calls'
            ),
        )
    );
}
?>
<div class="wrap">
    <!-- Print the page title -->
    <h1><?php echo esc_html( get_admin_page_title() ); ?></h1>
    <!-- Here are our tabs -->
    <nav class="nav-tab-wrapper">
        <?php
        foreach ($tabs as $tab) {
            printf('<a href="?page=wallkit-settings&tab=%1$s" class="nav-tab %2$s">%3$s</a>',
                $tab['id'],
                ($activeTab == $tab['id'] ? 'nav-tab-active' : ''),
                $tab['title']);
        }
        ?>
    </nav>

    <div class="tab-content">
        <?php
        if( !empty($activeTab) && file_exists(WPWKP_TEMPLATE_DIR . '/settings/template-' . $activeTab . '.php') ) {
            include_once  WPWKP_TEMPLATE_DIR . '/settings/template-' . $activeTab . '.php';
        }
        ?>
    </div>
</div>
